// PrintScrToFileDlg.h : header file
//

#if !defined(AFX_PRINTSCRTOFILEDLG_H__B2A50AE7_E668_4D2D_9E2B_B24D960DF714__INCLUDED_)
#define AFX_PRINTSCRTOFILEDLG_H__B2A50AE7_E668_4D2D_9E2B_B24D960DF714__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPrintScrToFileDlg dialog

class CPrintScrToFileDlg : public CDialog
{
// Construction
public:
	CPrintScrToFileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPrintScrToFileDlg)
	enum { IDD = IDD_PRINTSCRTOFILE_DIALOG };
	CComboBox	m_lstFormats;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrintScrToFileDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPrintScrToFileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
  virtual void OnOK();
	//}}AFX_MSG

	afx_msg void OnDrawClipboard();
  afx_msg void OnChangeCbChain( HWND hWndRemove, HWND hWndAfter );
  void DrawClipboardDefault();
  void DrawClipboard32Uncompressed();
  void DrawClipboard16Uncompressed();
  void DrawClipboard24Uncompressed();
  void DrawClipboardPassedIn();


  DECLARE_MESSAGE_MAP()
  void SaveBitmap(int nSizeOfColorTable, int nSizeofData, BITMAPINFOHEADER * pbmInfo2, LPVOID lpv, CString & strOutput);

  HWND m_hwndClipboardViewer;
  int m_nCurrentCount;
  BOOL m_fInCall;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRINTSCRTOFILEDLG_H__B2A50AE7_E668_4D2D_9E2B_B24D960DF714__INCLUDED_)
